import { Tooltip, Image, Tag } from 'antd';
import { doFetch } from '@/utils/doFetch';
function getcolumns(setdrawer, activeKey) {
    return activeKey == 'item-1' ? {
        columns: [
            {
                title: '设备编号',
                dataIndex: 'f1',
                key: 'f1',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                colProps: { span: 8 },
            },
            {
                title: '设备名称',
                dataIndex: 'f2',
                key: 'f2',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                colProps: { span: 8 },
                render: (_, row) => {
                    return (
                        <Tooltip title={row.f2}>
                            <a
                                className="table-cell"
                                onClick={async () => {
                                    setdrawer && setdrawer((s) => ({
                                        ...s,
                                        visible: true,
                                        item: row,
                                        val: 'only',
                                        title: '设备详情'
                                    }));
                                }}
                            >
                                {row.f2}
                            </a>
                        </Tooltip>
                    );
                }
            },
            {
                title: '资产编号',
                dataIndex: 'f3',
                key: 'f3',
                colProps: { span: 8 }
            },
            {
                title: '设备品牌',
                dataIndex: 'f4',
                key: 'f4',
                colProps: { span: 8 }
            },
            {
                title: '设备型号',
                dataIndex: 'f5',
                key: 'f5',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                valueType: 'select',
                options: { path: '/', params: {} },
                colProps: { span: 8 }
            },
            {
                title: '公司名称',
                dataIndex: 'f6',
                key: 'f6',
                hideInSearch: true,
                hideInTable: true,
                valueType: 'select',
                options: { path: '/', params: {} },
                colProps: { span: 8 }
            },
            {
                title: '部门名称',
                dataIndex: 'f7',
                key: 'f7',
                formItemProps: { rules: [{ required: false, message: '此项为必填项' }] },
                hideInSearch: true,
                hideInTable: true,
                valueType: 'select',
                options: { path: '/', linkParams: { f6: '' } },
                colProps: { span: 8 }
            },
            {
                title: '工厂名称',
                dataIndex: 'factoryName',
                key: 'factoryName',
                valueType: 'input',
                hideInSearch: true,
                hideInTable: true,
                hideInDescriptions: true,
                colProps: { span: 8 },
                fieldProps: {
                    disabled: true
                }
            },
            {
                title: '工厂名称',
                dataIndex: 'factoryName',
                key: 'factoryId',
                valueType: 'select',
                options: { path: '/auth/sysFactory/getAllFactorySelection', params: {} },
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                hideInForm: true,
                colProps: { span: 8 }
            },
            {
                title: '车间名称',
                dataIndex: 'shopName',
                key: 'shopId',
                hideInSearch: true,
                hideInTable: true,
                valueType: 'select',
                options: { path: '/auth/sysShop/getShopSelectionByFactory', linkParams: { factoryId: '' } },
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
                colProps: { span: 8 }
            },
            {
                title: '工段名称',
                dataIndex: 'sectionName',
                key: 'sectionId',
                hideInSearch: true,
                hideInTable: true,
                valueType: 'select',
                options: {
                    path: '/auth/sysSection/getAllSectionSelectionByShop',
                    linkParams: { shopId: '' },
                },
                colProps: { span: 8 }
            },
            {
                title: '产线名称',
                dataIndex: 'productionLineName',
                key: 'productionLineId',
                valueType: 'select',
                hideInSearch: true,
                hideInTable: true,
                options: {
                    path: '/auth/sysProductionLine/getAllProductLineSelectionByShop',
                    linkParams: { shopId: '' },
                },
                colProps: { span: 8 }
            },
            {
                title: '供应商',
                dataIndex: 'f13',
                key: 'f13',
                valueType: 'select',
                options: { path: '/', params: {} },
                colProps: { span: 8 }
            },
            {
                title: '保管单位',
                dataIndex: 'f14',
                key: 'f14',
                colProps: { span: 8 }
            },
            {
                title: '产权单位',
                dataIndex: 'f15',
                key: 'f15',
                colProps: { span: 8 }
            },
            {
                title: '上传图片',
                dataIndex: 'f16',
                key: 'f16',
                hideInSearch: true,
                hideInTable: true,
                hideInDescriptions: true,
                valueType: 'uploadImage',
                fieldProps: {
                    limit: 1,
                }
            },
            {
                title: '图片',
                dataIndex: 'f21',
                key: 'f21',
                hideInSearch: true,
                render: (_, row) => {
                    return row.f21?.length && <Image src={row?.f21?.[0]?.url} />
                }
            },
            {
                title: '二维码',
                dataIndex: 'f22',
                key: 'f22',
                hideInSearch: true,
                render: (_, row) => {
                    return row.f22?.length && <Image src={row?.f22?.[0]?.url} />
                }
            },
            {
                title: '经营状态',
                dataIndex: 'f20',
                key: 'f20',
                hideInForm: true,
                valueType: 'select',
                options: [
                    { label: '闲置', value: '1' },
                    { label: '预占', value: '2' },
                    { label: '租赁', value: '3' },
                    { label: '待复检', value: '4' },
                    { label: '报废', value: '5' },
                    { label: '未绑定', value: '6' },
                    { label: '绑定', value: '7' },
                    { label: '销售', value: '8' },
                ],
                fixed: 'right'
            },
        ],
        pathconfig: {
            add: '',
            edit: '',
            list: '',
            delete: '',
        },
    } : {
        columns: [
            {
                title: '设备编号',
                dataIndex: 'equipmentNo',
                key: 'equipmentNo',

                width: 120,
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
            },
            {
                title: '设备名称',
                dataIndex: 'equipmentName',

                width: 220,
                key: 'equipmentName',
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
            },
            {
                title: '位置号',
                width: 120,

                dataIndex: 'positionNo',
                search: false,
                hideInTable: true,
                key: 'positionNo',
            },
            {
                width: 120,
                title: '设备类型',
                dataIndex: 'equipmentTypeName',
                key: 'equipmentTypeId',
                valueType: 'treeSelect',
                options: { path: '/asset/equipmentType/queryTreeList', params: {} },
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
            },
            {
                title: '设备型号',
                dataIndex: 'equipmentModelName',
                width: 120,

                key: 'equipmentModelId',
                valueType: 'select',
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
                options: { path: '/asset/equipmentModel/query/selection', params: {} },
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
            },
            {
                title: '公司名称',

                dataIndex: 'organizationName',
                width: 120,
                key: 'organizationId',
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
                valueType: 'select',
                options: { path: '/auth/sysDepartment/query/organization/selectbox', params: {} },
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
            },
            {
                title: '部门名称',
                width: 120,
                valueType: 'treeSelect',
                dataIndex: 'departmentName',
                key: 'departmentId',
                options: {
                    path: '/auth/sysDepartment/query/children/tree',
                    linkParams: {
                        organizationId: 'parentId',
                    },
                },
            },
            {
                title: '工厂名称',
                dataIndex: 'factoryName',
                key: 'factoryId',
                width: 120,
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
                valueType: 'select',
                options: { path: '/auth/sysFactory/getAllFactorySelection', params: {} },
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
            },
            {
                title: '车间名称',
                dataIndex: 'shopName',

                width: 120,
                valueType: 'select',
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
                options: {
                    path: '/auth/sysShop/getShopSelectionByFactory',
                    linkParams: {
                        factoryId: '',
                    },
                },
                key: 'shopId',
                search: false,
                formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
            },
            {
                title: '车间名称',
                dataIndex: 'shopName',
                width: 120,
                valueType: 'select',
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
                options: {
                    path: '/auth/sysShop/getAllShopSelection',
                    params: {},
                },
                key: 'shopId',
                hideInForm: true,
                hideInTable: true,
            },
            {
                title: '工段名称',
                width: 120,
                dataIndex: 'sectionName',

                key: 'sectionId',
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
                valueType: 'select',
                options: {
                    path: '/auth/sysSection/getAllSectionSelectionByShop',
                    linkParams: {
                        shopId: '',
                    },
                },
                search: false,
            },
            {
                title: '工段名称',
                width: 120,
                dataIndex: 'sectionName',
                key: 'sectionId',
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
                valueType: 'select',
                options: {
                    path: '/auth/sysSection/getAllSectionSelection',
                    params: {},
                },
                hideInForm: true,
                hideInTable: true,
            },
            {
                title: '产线名称',
                width: 120,
                dataIndex: 'productLineName',
                valueType: 'select',
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
                key: 'productLineId',

                options: {
                    path: '/auth/sysProductionLine/getAllProductLineSelectionByShop',
                    linkParams: {
                        shopId: '',
                    },
                },
                search: false,
            },
            {
                title: '产线名称',
                width: 120,
                dataIndex: 'productLineName',
                valueType: 'select',
                fieldProps: {
                    placeholder: '请选择',
                    showSearch: true,
                },
                key: 'productLineId',
                options: {
                    path: '/auth/sysProductionLine/getAllProductLineSelection',
                    params: {},
                },
                hideInForm: true,
                hideInTable: true,
            },
            {
                title: '供应商',
                width: 120,
                valueType: 'select',
                dataIndex: 'supplierName',

                hideInTable: true,
                search: false,
                key: 'supplierId',
                options: {
                    path: '/asset/equipmentSupplier/query/selection',
                    params: {},
                },
            },
            {
                title: '设备原值（万元）',
                valueType: 'digit',
                search: false,
                hideInTable: true,

                dataIndex: 'equipmentWorth',
                key: 'equipmentWorth',
            },
            {
                title: '安装投产日期',
                hideInTable: true,
                search: false,

                dataIndex: 'productDate',
                key: 'productDate',
                valueType: 'date',
            },
            {
                title: '图片',
                width: 120,
                dataIndex: 'pictureUrl',
                search: false,
                search: false,
                key: 'picList',

                valueType: 'uploadImage',
                fieldProps: {
                    limit: 1,
                },
                formItemProps: {
                    rules: [
                        {
                            required: false,
                            message: '此项为必填项',
                        },
                    ],
                },
                render: (text, row) => {
                    if (row?.pictureUrl == null) {
                        return '暂无图片';
                    } else {
                        return <Image width={70} src={row.pictureUrl} />;
                    }
                },
            },
            {
                title: '二维码',
                width: 120,

                search: false,

                dataIndex: 'qrCodeUrl',
                key: 'qrCodeUrl',
                valueType: 'uploadImage',
                search: false,
                hideInForm: true,
                render: (text, row) => {
                    if (row?.qrCodeUrl == null) {
                        return (
                            <div
                                style={{
                                    height: 50,
                                    display: 'flex',
                                    justifyContent: 'center',
                                    alignItems: 'center',
                                }}
                            >
                                <span>暂无图片</span>
                            </div>
                        );
                    } else {
                        return <Image width={50} src={row.qrCodeUrl} />;
                    }
                },
            },
            {
                title: '状态名称',

                search: false,
                hideInTable: true,
                dataIndex: 'statusName',
                key: 'statusName',
                hideInForm: true,
            },
            {
                title: '设备状态',
                dataIndex: 'status',
                width: 120,

                hideInForm: true,
                fixed: 'right',
                valueType: 'select',
                options: [
                    {
                        label: '在用',
                        value: 1,
                    },
                    {
                        label: '借用中',
                        value: 2,
                    },
                    {
                        label: '报废',
                        value: 3,
                    },
                ],
                key: 'status',
                render: (text, row) => {
                    switch (row.status) {
                        case 1:
                            return <Tag color="success">在用</Tag>;
                        case 3:
                            return <Tag>报废</Tag>;
                        case 2:
                            return <Tag color="volcano">借用中</Tag>;
                        default:
                            break;
                    }
                },
            },
        ]
    };
}
export default getcolumns;
